/***************************************************************************
 *   Copyright (C) 2008 by Alexey Noskov   *
 *   alexey.noskov@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kopeteantispampreferences.h"
#include "kopeteantispamconfig.h"

#include <kgenericfactory.h>

#include <qlayout.h>

K_PLUGIN_FACTORY( KopeteAntispamPreferencesFactory, registerPlugin<KopeteAntispamPreferences>(); )
K_EXPORT_PLUGIN( KopeteAntispamPreferencesFactory ( "kcm_kopete_antispam" ) )

KopeteAntispamPreferences::KopeteAntispamPreferences( QWidget *parent, const QVariantList & args ) :
	KCModule( KopeteAntispamPreferencesFactory::componentData(), parent, args )
{
	QVBoxLayout *layout = new QVBoxLayout( this ) ;
	QWidget *widget = new QWidget(this);

	Ui::KopeteAntispamPreferencesUIBase * ui = new Ui::KopeteAntispamPreferencesUIBase();
	ui->setupUi( widget );
	layout->addWidget( widget );

	addConfig( KopeteAntispamConfig::self(), widget );
	KopeteAntispamConfig::self()->readConfig();
	load();
}
